Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Viewport Class Reference
Inheritance diagram for Viewport:

## Public Member Functions
| __init__ (self, name, *args, **kwargs)
| initialize (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| bt = base.setupMouse(self.win, True)
| cam = base.camList[-1]
| cam2d = base.makeCamera2d(self.win)
| camera = None
| camLens = self.camNode.getLens()
| camLookAt = None
| camNode = self.cam.node()
| camPos = None
| collPlane = None
| grid = None
bool | initialized = False
| lens = None
| name = name
| onSize = self.ClientSize.GetHeight() * 0.1
| win

## Static Public Attributes
| CREATENEW = CREATENEW
| VPFRONT = VPFRONT
| VPLEFT = VPLEFT
| VPPERSPECTIVE = VPPERSPECTIVE
| VPTOP = VPTOP
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    Class representing a 3D Viewport.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name,
|  | * | args,
|  | ** | kwargs )

## Member Function Documentation

## ◆ initialize()

initialize | ( |  | self | ) |

## Member Data Documentation

## ◆ bt

bt = base.setupMouse(self.win, True)

## ◆ cam

cam = base.camList[-1]

## ◆ cam2d

cam2d = base.makeCamera2d(self.win)

## ◆ camera

camera = None

## ◆ camLens

camLens = self.camNode.getLens()

## ◆ camLookAt

camLookAt = None

## ◆ camNode

camNode = self.cam.node()

## ◆ camPos

camPos = None

## ◆ collPlane

collPlane = None

## ◆ CREATENEW

CREATENEW = CREATENEW
| static

## ◆ grid

grid = None

## ◆ initialized

bool initialized = False

## ◆ lens

lens = None

## ◆ name

name = name

## ◆ onSize

onSize = self.ClientSize.GetHeight() * 0.1

## ◆ VPFRONT

VPFRONT = VPFRONT
| static

## ◆ VPLEFT

VPLEFT = VPLEFT
| static

## ◆ VPPERSPECTIVE

VPPERSPECTIVE = VPPERSPECTIVE
| static

## ◆ VPTOP

VPTOP = VPTOP
| static

## ◆ win

win